package com.projectwork.demo.service;

import com.projectwork.demo.model.Company;
import com.projectwork.demo.repository.CompanyRepository;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
* Generated by Spring Data Generator on 12/01/2023
*/
@Component
@RequiredArgsConstructor
public class CompanyService {

	@Autowired
	private final CompanyRepository companyRepository;

	public List<Company> findAllCompanies() {
		List<Company> companies = companyRepository.findAll();
		return companies;
	}

}
